<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'valeryus08';
  	var $n_reg;
	var $ncto;
	var $ntipo;
	var $ntfa_senc;
	var $ntfa_doble;
	var $ntfa_adic;
	var $npropietario;
	var $ncolonia;
	var $ncp;
	var $ntelefono;
	var $nteleofna;
	var $nfax;
	var $nciudad;
	var $nestado;
	var $nobservaciones;
	var $nstarecep;
	var $nstaamalla;
	var $nfueraserv;
	var $status;
	var $nfecinifuera;
	var $nfecfinfuera;
	var $nusuario;
	var $nhora;
	var $paxdia;
	var $paxmes;
	var $paxano;
	var $ctosdia;
	var $ctosmes;
	var $ctosano;
	var $ingdia;
	var $ingmes;
	var $ingano;
	var $pordias;
	var $ocupado;

//Funcion de Revicion
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE ncto like '$this->ncto' or ncto like '$this->ncto'";
	   	$result = mysqli_query($con ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "insert into $this->nom_tabla (n_reg, ncto, ntipo, ntfa_senc, ntfa_doble, ntfa_adic, npropietario, ncolonia, ncp, ntelefono, nteleofna, nfax, nciudad, nestado, nobservaciones, nstarecep, nstaamalla, nfecultocu, nfueraserv, status, nfecinifuera, nfecfinfuera, nusuario, nhora, paxdia, paxmes, paxano, ctosdia, ctosmes, ctosano, ingdia, ingmes, ingano, pordias, ndirecc, npais, ocupado)values('$this->n_reg','$this->ncto', '$this->ntipo', '$this->ntfa_senc', '$this->ntfa_doble', '$this->ntfa_adic', '$this->npropietario', '$this->ncolonia', '$this->ncp', '$this->ntelefono', '$this->nteleofna', '$this->nfax', '$this->nciudad', '$this->nestado', '$this->nobservaciones', '$this->nstarecep', '$this->nstaamalla', '$this->nfecultocu', '$this->nfueraserv', '$this->status', '$this->nfecinifuera', '$this->nfecfinfuera', '$this->nusuario', '$this->nhora', '$this->paxdia', '$this->paxmes', '$this->paxano', '$this->ctosdia', '$this->ctosmes', '$this->ctosano', '$this->ingdia', '$this->ingmes', '$this->ingano', '$this->pordias', '$this->ndirecc', '$this->npais', '$this->ocupado')";
	   	$result = mysqli_query($con ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($con ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$lista = mysqli_query($con ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica($n_reg){
		$sql = "UPDATE $this->nom_tabla SET status = '$this->status', ocupado = '$this->ocupado' where n_reg = '$n_reg' ";
		$result= mysqli_query($con ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($n_reg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$resultado = mysqli_query($con ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()"; 
		}           
	}   
}       
?>